require 'psych'
require 'date'
require 'delegate'
require 'readline'
require 'securerandom'

require 'chronic'
require 'colored2'
require 'http'

if RUBY_PLATFORM =~ /mri|mingw|x66_mingw/i
  require 'byebug'
end

require_relative 'nin/version'
require_relative 'nin/extensions/object_extensions'
require_relative 'nin/extensions/nil_class_extensions'
require_relative 'nin/extensions/array_extensions'
require_relative 'nin/extensions/array_extensions'
require_relative 'nin/extensions/string_extensions'
require_relative 'nin/extensions/integer_extensions'
require_relative 'nin/extensions/date_extensions'
require_relative 'nin/error'
require_relative 'nin/yaml_store'
require_relative 'nin/parser'
require_relative 'nin/item'
require_relative 'nin/presenters/item_presenter'
require_relative 'nin/presenters/todo_presenter'
require_relative 'nin/integration/todoist/client'
require_relative 'nin/integration/todoist/client/base_client'
require_relative 'nin/integration/todoist/client/sync'
require_relative 'nin/integration/todoist/client/project'
require_relative 'nin/integration/todoist/client/item'
require_relative 'nin/integration/service'
require_relative 'nin/integration/service/todoist'
require_relative 'nin/integration/todoist'
require_relative 'nin/integration/synchronizer'
require_relative 'nin/integration/synchronizer/todoist'
require_relative 'nin/todo'
require_relative 'nin/command'
